package Avaliador;

import hemissonComm.HemissonRobot;

public abstract class Avaliador {
	
	/**
	 * variavel HemissonRobot correspondente ao robot corrente 
	 */
	protected HemissonRobot robot;

	/**
	 * Metodo Construtor
	 * @param robot HemissonRobot correspondente
	 */
	public Avaliador(HemissonRobot robot) {
		this.robot = robot;
	}
	
	/**
	 * Mtodo invocado para inicializar o avaliador
	 */
	public abstract void init();
}
