package VA;

import hemissonComm.HemissonRobot;

public class AvaliarGradiente {

	private boolean condicao;
	
	private static final int esquerda = 5;
	private static final int direita = 3;
	
	public AvaliarGradiente(String[] args) {
		condicao = true;
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) throws InterruptedException {
		AvaliarGradiente ag = new AvaliarGradiente(args);
		ag.run();
	}
	
	private void run() {
		System.out.println("INIT");
		
		HemissonRobot robot = new HemissonRobot("COM4","John");
		
		int[] valores, speed;
		int[] last = robot.readSonar();
		
		robot.setSpeed(2,2);
		
		while(condicao) {
			valores = robot.readSonar();
			speed = robot.readSpeed();
			robot.beeper(1);
			
			System.err.println(valores[esquerda] +","+valores[direita]);
			
			if(equivalente(last[esquerda],valores[esquerda]) &&  equivalente(last[direita], valores[direita])) {
				robot.setSpeed(2,2);
				System.out.println("Andar em frente");
			}
			else if(equivalente(last[esquerda],valores[esquerda]) && !equivalente(last[direita], valores[direita])) {
				robot.setSpeed(0, speed[1]);
				System.out.println("Andar para a esquerda");
			}
			else if(!equivalente(last[esquerda],valores[esquerda]) &&  equivalente(last[direita], valores[direita])) {
				robot.setSpeed(speed[0], 0);
				System.out.println("Andar para a direita");
			}
			else
			{
				if(valores[direita] - last[direita] >= valores[esquerda] - last[esquerda])
				{	
					robot.setSpeed(speed[0]+1, -1);
					System.out.println("Safano  direita");
				} else {
					robot.setSpeed(-1, speed[1]+1);
					System.out.println("Safano  esquerda");
				}
			}
			last = valores;
		}
	}
	
	private boolean equivalente(int v1, int v2) {
		final int diferenca = 3;
		int dif = v2 - v1;
		return dif < diferenca;
	}

}
