package hemissonComm;

import java.io.*;
import java.util.*;
import javax.comm.*;

public class TestWriteComm {
	static Enumeration portList;
	static CommPortIdentifier portId;
	static String messageString = "D,5,-5\r";
	static String messageString2 = "D,0,0\r";
	static SerialPort serialPort;
	static OutputStream outputStream;
	static BufferedReader bufRead;
	
	public static void main(String[] args) {
		portList = CommPortIdentifier.getPortIdentifiers();
		System.out.println(portList.hasMoreElements());
		while (portList.hasMoreElements()) {
			portId = (CommPortIdentifier) portList.nextElement();
			System.out.println(portId.getName()+" "+portId.getPortType());
			if (portId.getPortType() == CommPortIdentifier.PORT_SERIAL) {
				if (portId.getName().equals("COM4")) {
					//if (portId.getName().equals("/dev/term/a")) {
					try {
						serialPort = (SerialPort)
						portId.open("SimpleWriteApp", 2000);
					} catch (PortInUseException e) {System.out.println("Erro1");}
					try {
						outputStream = serialPort.getOutputStream();
					} catch (IOException e) {System.out.println("Erro2");}
					try {
						serialPort.setSerialPortParams(115200,
								SerialPort.DATABITS_8,
								SerialPort.STOPBITS_1,
								SerialPort.PARITY_NONE);
						bufRead = new BufferedReader(new InputStreamReader(serialPort.getInputStream()));
						
						
					} catch (UnsupportedCommOperationException e) 
					{System.out.println("Erro3a");} 
					catch (IOException e) {
						System.out.println("Erro3b");
						e.printStackTrace();
					}
					System.out.println("Connected"); 
					try {
						//                   	for(int i = 0; i< 20; i++)
						{
							outputStream.write(messageString.getBytes());
							System.out.println(bufRead.readLine());
							Thread.sleep(5000);
							outputStream.write(messageString2.getBytes());
							System.out.println(bufRead.readLine());
						}
					} catch (IOException e) {System.out.println("Erro4");} 
					catch (InterruptedException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				}
			}
		}
	}
}
